Skip to content

Get Member

GET
/api/Members/{id}
curl --request GET \
--url https://example.com/api/Members/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'

Returns full detail for a single member by their unique identifier.

id
required
string format: uuid

The member’s unique identifier.

Member detail.

Media type application/json
object
id
string format: uuid
merchantId
string format: uuid
firstName
string
nullable
lastName
string
nullable
fullName
string
nullable
email
string
nullable
phone
string
nullable
addressLine1
string
nullable
addressLine2
string
nullable
city
string
nullable
state
string
nullable
postCode
string
nullable
country
string
nullable
status
string
Allowed values: Active Paused Cancelled
notes
string
nullable
createdAt
string format: date-time
updatedAt
string format: date-time
Example
{
"status": "Active"
}

No member with the given ID exists.

Media type application/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}